function [norm_R, norm_G, norm_B]=normalizace(skala_cervena, skala_zelena1, skala_modra, FilePath, saturace, cerna)
%Normalizace dat do rozsahu 0-1
system(['dcraw -4 -D -T ' FilePath]);
i=length(FilePath)-2;
    FilePath(i)='t';
    FilePath(i+1)='i';
    FilePath(i+2)='f';
    FilePath(i+3)='f';
raw = double(imread(FilePath));
R=raw(1:2:end, 1:2:end);
B=raw(2:2:end, 2:2:end);
G1=raw(1:2:end, 2:2:end);
G2=raw(2:2:end, 1:2:end);
G=(G1+G2)/2;
loc= G>saturace;
G(loc)=saturace;
loc= G<cerna;
G(loc)=cerna;

loc= R>saturace;
R(loc)=saturace;
loc= R<cerna;
R(loc)=cerna;

loc= B>saturace;
B(loc)=saturace;
loc= B<cerna;
B(loc)=cerna;

norm_G=((G-cerna)/(saturace-cerna))*(skala_zelena1); % Zde se mění množství zelené
norm_R=((R-cerna)/(saturace-cerna))*skala_cervena; % Zde se mění množství červené
norm_B=((B-cerna)/(saturace-cerna))*skala_modra; % Zde se mění množství modré

loc= norm_G>1;
norm_G(loc)=1;

loc= norm_R>1;
norm_R(loc)=1;

loc= norm_B>1;
norm_B(loc)=1;
